-- $Name: Приключения Максвелла$
-- автор: Дударь Дмитрий, 2011
instead_version "1.3.1"
game.codepage="UTF-8";
game.use = 'Так не получится.';

global {
q1 = 0;
q2 = 0;
q3 = 0;
q4 = 0;
q5 = 0;
q6 = 0;
q7 = 0;
q8 = 0;
q9 = 0;
q10 = 0;
s1 = 0; s2 = 0; s3 = 0;
l1 = 0; l2 = 0; l3 = 0; l4 = 0; l5 = 0;
mtrigger = 0;
}
mst = stat {
	nam = [[когти^кошак^валерьянка^электроны^постулаты
	^интерферометр^усы^лапы^фотоэффект^хвост^мяу^призма^ушки^лазер 
	^первая мышь^вторая мышь^третья мышь^камера-обскура^хронометр^измерения^погрешности
	^кошачьи нежности^семь жизней^килька в томате^кошачий корм^быстрый нейтрон]];
};
status = stat{
      nam = function()
      if q1 == 1 then p[[Не думайте, что я лабораторная крыса. Я лабораторный кот.^]]; end;
      if q1 == 2 then p[[У меня длинные музыкальные усы.^]]; end;
      if q1 == 3 then p[[У меня длинные музыкальные усы.^]]; end;
      if q1 == 4 then p[[Дикие джунгли. ^Пещерные коты.^]]; end;
      if q1 == 5 then p[[Птеродактили.^Здесь не были.^]]; end;
      if q1 == 6 then p[[Остаться в живых.^Хвост пистолетом.^]]; end;
      if q1 == 7 then p[[Это тебе не C++.^Археология, брат.^]]; end;
      if q1 == 8 then p[[Наточить когти.^Вытянуть клыки.^]]; end;
      if q1 == 9 then p[[Здесь холодно.^ОЧЕНЬ холодно.^]]; end;
      if q1 == 10 then p[[Родина далеко.^Ностальгия...^]]; end;
      if q1 == 11 then p[[Одинокий космос.^Грустно...^]]; end;
      if q1 == 12 then p[[К чёрту Википедию.^Справлюсь сам.^]]; end;
      if q1 == 13 then p[[Ночь, улица, фонарь...^]]; end;
      if q1 == 14 then p[[От заката до рассвета^есть котлеты...^]]; end;
      if q1 == 15 then p[[Повсюду сумрак.^Кошачий дозор.^]]; end;
      if q1 == 16 then p[[Танцуй, пока с головой, зомби...^]]; end;
      if q1 == 17 then p[[Усы развевает^ветер свободы.^]]; end;
      if q1 == 18 then p[[Лес шумит.^Совы спят.^]]; end;
      if q1 == 19 then p[[Древние легенды.^Эльфийские обряды.^]]; end;
      if q1 == 20 then p[[Детство. ^Готика...^]]; end;
      if q1 == 21 then p[[Огромные волны.^Не люблю плавать.^]]; end;
      if q1 == 22 then p[[Вечер встречи.^Ночь любви.^]]; end;
      if q1 == 23 then p[[Достоевский прав. Рулетка - сущее зло.^]]; end;
      if q1 == 24 then p[[На пагоде птицы^поют о любви.^]]; end;
      if q1 == 25 then p[[Ветра шелест.^Сакуры цвет.^]]; end;
      if q1 == 26 then p[[Тенистый путь.^Дорога храбрости.^]]; end;
      if q1 == 27 then p[[Путь солнца.^Зов ветра.^]]; end;
      if q1 == 28 then p[[Воин чести.^Кот-самурай.^]]; end;
      if q1 == 29 then p[[Хитрый ум^побеждает силу.^]]; end;
      if q1 == 30 then p[[Жди меня, Кэтти.^Я верну тебя.^]]; end;
      if q1 == 31 then p[[У нас будут котята.
      ^Много котят.
      ^Назову их так:
      ^Пушок ^Снежок ^Гайка ^Отелло ^Везунчик ^Бусинка ^Вишенка ^Бэтти ^Маруся ^Кнопка 
      ^Огонёк ^Рыжик ^Тарзан ^Скарлетт ^Сирена ^Прищепка ^Барсик Первый ^Барсик Второй 
      ^Барсик Третий ^Кристина ^Лилия ^Клюква ^Дарзи]]; end;
      end;
};
main = room{
    pic = 'data/1.jpg',
	forcedsc = true;
	nam = "Приключения Максвелла";
	obj = {vway("a1", [[Меня зовут Максвелл. Я говорящий кот. Надо мной проводилось 
	много экспериментов. И у меня есть подружка Кэтти. Вот только она недавно пропала. 
	Исчезла во времени и пространстве. Я собираюсь повторить опыт,
	в котором она участвовала. Я верну свою квантовую {любовь}.]], 'loc1')
	};
	enter = function()
	inv():add('mst');
		set_music('data/1.ogg');
	end,
};
loc1 = room {
    pic = 'data/2.jpg',
	nam = "Лаборатория";
	obj = {vway("a1", "В центре испытательной комнаты стоял {чёрный ящик}. ", 'blackbox'),
	},
	enter = function()
	    inv():del('mst'); q1 = 1; q2 = 0;
	    inv():add('status');
		set_music('data/2.ogg');
	end,
};
ext = obj{
     nam = 'выход';
     dsc = [[или {вылезти} из ящика.]];
     act = function()
     if q2 == 0 then goto('loc1');end;
     if q2 == 1 then goto('loc2');end;
     if q2 == 2 then goto('loc7');end;
     if q2 == 3 then goto('loc10');end;
     if q2 == 4 then goto('loc14');end;
     if q2 == 5 then goto('loc18');end;
     if q2 == 6 then goto('loc21');end;
     if q2 == 7 then goto('loc27');end;
     end;
};
m1 = obj{
  nam = 'до'; dsc = [[За какой ус потянуть? ^{До}]];
  act = function()
  p[[Ящик пришёл в движение. Или всё двигалось вокруг ящика. Пространство и время были здесь относительны.]];
  q2 = 1; goto('blackbox');
  end;
};
m2 = obj{
  nam = 'ре'; dsc = [[^{Ре}]];
  act = function()
  p[[Ящик пришёл в движение. Или всё двигалось вокруг ящика. Пространство и время были здесь относительны.]];
  q2 = 2; goto('blackbox');
  end;
};
m3 = obj{
   nam = 'ми'; dsc = [[^{Ми}]];
  act = function()
  p[[Ящик пришёл в движение. Или всё двигалось вокруг ящика. Пространство и время были здесь относительны.]];
  q2 = 3; goto('blackbox');
  end;
};
m4 = obj{
   nam = 'фа'; dsc = [[^{Фа}]];
  act = function()
  p[[Ящик пришёл в движение. Или всё двигалось вокруг ящика. Пространство и время были здесь относительны.]];
  q2 = 4; goto('blackbox');
  end;
};
m5 = obj{
  nam = 'соль'; dsc = [[^{Соль}]];
  act = function()
  p[[Ящик пришёл в движение. Или всё двигалось вокруг ящика. Пространство и время были здесь относительны.]];
  q2 = 5; goto('blackbox');
  end;
};
m6 = obj{
  nam = 'ля'; dsc = [[^{Ля}]];
 act = function()
  p[[Ящик пришёл в движение. Или всё двигалось вокруг ящика. Пространство и время были здесь относительны.]];
  q2 = 6; goto('blackbox');
  end;
};
m7 = obj{
  nam = 'си'; dsc = [[^{Си}]];
 act = function()
  p[[Ящик пришёл в движение. Или всё двигалось вокруг ящика. Пространство и время были здесь относительны.]];
  q2 = 7; goto('blackbox');
  end;
};
melody = room{
   pic = 'data/3.jpg',
   nam = 'В чёрном ящике';
   obj = {m1,m2,m3,m4,m5,m6,m7};
   enter = function() q1 = 3;
		set_music('data/3.ogg');
   end,
};
blackbox = room{
   pic = 'data/3.jpg',
   nam = 'В чёрном ящике';
   obj = {vway("a1", "Я мог потянуть себя за {усы}  ", 'melody'),
   ext},
   enter = function()
        q1 = 2; 
		set_music('data/3.ogg');
		if have('vedro3') then inv():del('vedro3'); inv():add('vedro2'); end;
   end,
};
loc2 = room {
    pic = 'data/4.jpg',
	nam = "Джунгли";
	obj = {vway("a1", "На ветке висел {чёрный ящик}. ", 'blackbox'),
	vway("a1", "^Я мог идти на {запад} или  ", 'loc3'),
	vway("a1", "двигаться на {восток}. ", 'loc4'),
	},
	enter = function()
        q1 = 4; q2 = 1;
		set_music('data/4.ogg');
	end,
};
vedro2 = obj{
     nam = 'ведро c водой';
     inv = 'Ведро наполнено водой.';
};
voda = obj{
     nam = 'колодец';
     dsc = 'Я заметил {колодец}.';
     act = 'Там на глубине журчала свежая водичка.';
     used = function(s,w)
     if w == vedro then p[[Надо придумать, как cпустить ведро на глубину.]];end;
     if w == vedro1 then p[[Я набрал воды из колодца.]];
     inv():del('vedro1'); inv():add('vedro2');end;
     end;
};
vedro = obj{
     nam = 'ведро';
     dsc = 'Рядом стояло {ведро}.';
     tak = 'Я взял ведро.';
     inv = 'Пустое ведро.';
     used = function(s,w)
     if w == rope then p[[Я привязал верёвку к ведру.]];
      inv():del('vedro'); inv():del('rope'); inv():add('vedro1');  end;
     end;
};
loc3 = room {
    pic = 'data/5.jpg',
	nam = "Возле колодца";
	obj = {voda,vedro,
	vway("a1", "Я мог вернуться на {восток}. ", 'loc2'),
	},
	enter = function()
        q1 = 5;
		set_music('data/4.ogg');
	end,
};
loc4 = room {
    pic = 'data/6.jpg',
	nam = "Вход в пещеру";
	obj = {vway("a1", "Я мог зайти в {пещеру} ", 'loc5'),
	vway("a1", "или вернуться на {запад}. ", 'loc2'),
	},
	enter = function()
        q1 = 6;
		set_music('data/4.ogg');
	end,
};
radio = obj{
     nam = 'радиопередатчик';
     dsc = 'На земле валялся {радиопередатчик}.';
     tak = 'Я взял радиопередатчик.';
     inv = 'Инопланетная рация. До сих пор работает.';
};
loc5 = room {
    pic = 'data/7.jpg',
	nam = "Пещера";
	obj = {radio,vway("a1", [[Стены пещеры были покрыты рисунками древних цивилизаций.
	 Я мог {выйти} из пещеры.]], 'loc4'),
	},
	enter = function()
        q1 = 7;
		set_music('data/4.ogg');
		if q3 == 0 then goto('loc6');end;
	end,
};
dino = obj{
     nam = 'динозаврик';
     dsc = 'Из пещеры выскочил {ящер}, чтобы съесть меня.';
     act = function()
     p[[Я убежал, сверкая лапами.]];goto('loc2');
     end;
     used = function(s,w)
     if w == donald then  q3 = 1; inv():del('donald');
     p[[Я бросил гамбургер ящеру в пасть. Прожевав его, динозаврик завыл и бросился в кусты.]]; 
     goto('loc4'); end;
     end;
};
loc6 = room {
    pic = 'data/8.jpg',
	nam = "Милый динозаврик";
	obj = {dino,
	},
	enter = function()
        q1 = 8;
		set_music('data/5.ogg');
	end,
};
vedro3 = obj{
     nam = 'ведро cо льдом';
     inv = 'Вода в ведре замёрзла.';
};
loc7 = room {
    pic = 'data/9.jpg',
	nam = "Луна";
	obj = {vway("a1", "В кратере лежал {чёрный ящик}. ", 'blackbox'),
	vway("a1", "^Я мог идти на {запад} ", 'loc8'),
	vway("a1", "или отправиться на {восток}.", 'loc9'),
	},
	enter = function()
        q1 = 9; q2 = 2;
        if have('vedro2') then inv():del('vedro2'); inv():add('vedro3'); end;
		set_music('data/6.ogg');
	end,
};
vedro1 = obj{
     nam = 'ведро на верёвке';
     inv = 'К ведру привязана длинная прочная верёвка.';
};
rope = obj{
     nam = 'верёвка';
     inv = 'Длинная прочная верёвка.';
     used = function(s,w)
     if w == vedro then p[[Я привязал верёвку к ведру.]];
      inv():del('vedro'); inv():del('rope'); inv():add('vedro1');  end;
     end;
};
flag = obj{
     nam = 'флаг США';
     dsc = 'В грунте торчал {флаг} США.';
     tak = 'Я взял флаг. Теперь они ничего не докажут.';
     inv = function() p[[Я порвал флаг на верёвки. Надеюсь, они не обидятся.]];
     inv():del('flag');inv():add('rope');
     end;
};
donald = obj{
       nam = 'гамбургер';
       inv = 'Я бы не стал его есть. Опасно для жизни.';
};
moonwalker = obj{
     nam = 'луноход';
     dsc = 'В песке  лежал старый {луноход}.';
     act = function()
     if mtrigger == 2 then p[[Больше там ничего не было.]];end;
     if mtrigger == 1 then mtrigger = 2; inv():add('donald');
        p[[Я нашёл внутри гамбургер десятилетней выдержки.]];end;
     if mtrigger == 0 then p[[Боковая пластина лунохода была помята.]];end;
     end;
     used = function(s,w)
     if w == vedro3 then p[[Я бросил ведро со льдом в луноход. Боковая пластина разлетелась на части.]];    
     mtrigger = 1; inv():del('vedro3'); else p[[Пластина не поддалась.]];end;
     end;
};
loc8 = room {
    pic = 'data/10.jpg',
	nam = "Левый край Луны";
	obj = {moonwalker,flag,
	vway("a1", "^Я мог вернуться на {восток}.", 'loc7'),
	},
	enter = function()
        q1 = 10; q2 = 2;
		set_music('data/6.ogg');
	end,
};
ufo = obj{
       nam = 'нло';
       dsc = 'В холодном небе висела летаюшая {тарелка}.';
       act = 'Кричать бесполезно. Она слишком высоко.';
      used = function(s,w)
      if w == radio then  q4 = 0; q5 = 1; goto('nlo');end; 
      end;
};
loc9 = room {
    pic = 'data/11.jpg',
	nam = "Правый край Луны";
	obj = {ufo,
	vway("a1", "^Я мог вернуться на {запад}.", 'loc7'),
	},
	enter = function()
        q1 = 11; q2 = 2;
		set_music('data/6.ogg');
	end,
};
topaz = obj{
      nam = 'изумруд';
      inv = 'Зелёный изумруд - символ прошлого.';
};
otvet1 = obj{
       nam = 'ответ 1';
       dsc = function()
       if q5 == 1 then p'{Розуэлл}'; end;
       if q5 == 2 then p'{Орлеанская карусель}'; end;
       if q5 == 3 then p'{Конёк-горбунок}'; end;
       end;
       act = function()
       if q5 == 1 then q4 = q4 + 1; end;
       if q5 == 3 then q4 = q4 + 1; end;
       q5 = q5 + 1;
       if q5 == 4 then 
            if q4 == 3 then p[[Пришелец отдал мне 
		    изумруд и вернулся в тарелку.]];  
		    inv():del('radio');inv():add('topaz'); goto('loc9');        
		               else  p[[Пришелец недовольно помотал головой и 
	                   вернулся обратно в тарелку.]]; goto('loc9');  
	                   end; 
                  end;
       end;
};
otvet2 = obj{
       nam = 'ответ 1';
       dsc = function()
       if q5 == 1 then p'^{Ньюкастл}'; end;
       if q5 == 2 then p'^{Вашингтонская карусель}'; end;
       if q5 == 3 then p'^{Царевна-лягушка}'; end;
       end;
    act = function()
	if q5 == 2 then q4 = q4 + 1;end;
	q5 = q5 + 1; 
	if q5 == 4 then p[[Пришелец недовольно помотал головой и 
	вернулся обратно в тарелку.]]; goto('loc9'); end;
	end;
};
nlo = room{
    forcedsc = true;
    pic = 'data/12.jpg',
	nam = 'Встреча с НЛО',
	dsc = function()
	if q5 == 1 then p[[Тарелка приземлилась на поверхность. Оттуда вышел пришелец и сказал: 
	^- Неужели ты тот, кого мы ждали все эти годы? Сейчас проверим. В 1947 наш корабль 
	потерпел крушение в Нью-Мексико. В какой город мы тогда пошли пить пиво?]]; end;
	if q5 == 2 then p[[Хорошо, следующий вопрос. ^В 1952 году мы праздновали 
		на Земле день рожденья. Как назвали нашу вечеринку?]]; end;
	if q5 == 3 then p[[И последний вопрос.
		^В какой сказке упоминаются круги на полях?]]; end;	
	end;
	obj = {otvet1,otvet2};
    enter = function() q1 = 12;
		set_music('data/7.ogg');
	end,	  
};
loc10 = room {
    pic = 'data/13.jpg',
	nam = 'Улица фонарей';
	obj = {vway("a1", "На асфальте лежал {чёрный ящик}. ", 'blackbox'),
	vway("a1", "^Я мог идти на {юг} ", 'loc11'),
	vway("a1", "или отправиться на {север}.", 'loc12'),
	},
	enter = function()
        q1 = 13; q2 = 3;
		set_music('data/8.ogg');
	end,
};
lockpick = obj{
         nam = 'рыбная кость';
         inv = 'Тонкая длинная рыбная кость.';
};
barrel = obj{
       nam = 'мусорка';
       dsc = 'В темноте стоял мусорный {бак}.';
       act = function()
       if q6 == 2 then p[[Больше туда я не полезу.]];end;
       if q6 == 1 then q6 = 2; inv():add('lockpick');
       p[[Я нашёл в мусорном баке рыбную кость.]]; end;
       if q6 == 0 then goto('loc13'); end;
       end;
};
loc11 = room {
    pic = 'data/15.jpg',
	nam = "Задворки";
	obj = {barrel,
	vway("a1", "Я мог вернуться на {север}.", 'loc10'),
	},
	enter = function()
        q1 = 15; 
		set_music('data/8.ogg');
	end,
};
matches = obj{
        nam = 'спички';
        dsc = 'На асфальте лежал {коробок спичек}, оставшийся от байкера.';
        tak = 'Я взял спички.';
        inv = 'Спички котам не игрушки.';
};
biker = obj{
      nam = 'байкер';
      dsc = 'Возле паба я увидел {байкера}, восседающего на мотоцикле.';
      act = 'Эй! Котяра! Тащи сюда что-нибудь крутое! Да побыстрей!';
      used = function(s,w)
      if w == kurtka then p[[- Я свою косуху ни на что не променяю! - гаркнул байкер.]];end;
      if w == glass then 
      inv():del('glass'); objs('loc12'):del('biker'); objs('loc12'):add('matches',1); 
          p[[Надев очки, байкер ухмыльнулся и укатил в неизвестном направлении.]];end;
      end;
};
loc12 = room {
    pic = 'data/14.jpg',
	nam = [[Паб "Серый лис"]];
	obj = {biker,
	vway("a1", "^Из паба доносилась громкая музыка. Я мог вернуться на {юг}.", 'loc10'),
	},
	enter = function()
        q1 = 14; 
		set_music('data/8.ogg');
	end,
};
zombi = obj{
      nam = 'зомби';
      dsc = 'Из темноты на меня двинулся какой-то {упырь}.';
      act = function()
      p[[Я убежал, сверкая лапами.]];goto('loc10');
      end;
      used = function(s,w)
      if w == matches then p[[Я пожёг зомби. Он вспыхнул как спичка и убежал в подворотню.]]; 
      q6 = 1; goto('loc11'); inv():del('matches'); end;
      end;
};
loc13 = room {
    pic = 'data/16.jpg',
	nam = "Танцующий зомби";
	obj = {zombi,
	},
	enter = function()
        q1 = 16;
		set_music('data/5.ogg');
	end,
};
loc14 = room {
    pic = 'data/17.jpg',
	nam = 'Зелёный холм';
	obj = {vway("a1", "На траве лежал {чёрный ящик}. ", 'blackbox'),
	vway("a1", "^Я мог спуститься {вниз} ", 'loc15'),
	vway("a1", "или подняться на {вершину} холма.", 'loc16'),
	},
	enter = function()
        q1 = 17; q2 = 4;
		set_music('data/9.ogg');
	end,
};
glass = obj{
      nam = 'чёрные очки';
      inv = 'Стильные чёрные очки. Очень крутые.';
};
kurtka = obj{
       nam = 'куртка пилота';
       dsc = 'На ветке дерева висела {куртка} пилота.';
       tak = 'Я снял с дерева куртку.';
       inv = function() inv():del('kurtka'); inv():add('glass');
       p[[Я нашёл во внутреннем кармане чёрные очки.]];
       end;
};
loc15 = room {
    pic = 'data/19.jpg',
	nam = "Низина холма";
	obj = {kurtka,
	vway("a1", "Я мог подняться на {холм}.", 'loc14'),
	},
	enter = function()
        q1 = 18; 
		set_music('data/9.ogg');
	end,
};
chest = obj{
      nam = 'сундук';
      dsc = 'За грудой камней был спрятан {сундук}.';
      act = function()
      if q7 == 1 then p[[Больше в сундуке ничего нет.]];end;
      if q7 == 0 then p[[Сундук был закрыт на замок.]];end;
      end;
      used = function(s,w)
      if w == lockpick then q4 = 0; q5 = 3; goto('loc17'); end;
      end;
};
loc16 = room {
    pic = 'data/18.jpg',
	nam = "Вершина холма";
	obj = {chest,
	vway("a1", "^Я мог спуститься {вниз}.", 'loc14'),
	},
	enter = function()
        q1 = 19; 
		set_music('data/9.ogg');
	end,
};
sapfir = obj{
      nam = 'сапфир';
      inv = 'Синий сапфир - символ настоящего.';
};
lock1 = obj{
      nam = 'отмычка1';
      dsc = 'Я мог повернуть кость {влево}';
      act = function()
      if (q4 == 0) and (l1 == 1) then q4 = q4 + 1;p[[Замок щёлкнул.]]; else
        if (q4 == 1) and (l2 == 1) then q4 = q4 + 1;p[[Замок щёлкнул.]]; else
         if (q4 == 2) and (l3 == 1) then q4 = q4 + 1;p[[Замок щёлкнул.]]; else
          if (q4 == 3) and (l4 == 1) then q4 = q4 + 1;p[[Замок щёлкнул.]]; else
           if (q4 == 4) and (l5 == 1) then q4 = q4 + 1;
           inv():del('lockpick'); inv():add('sapfir'); q7 = 1; goto('loc16');
           p[[Замок открылся. Я достал из сундука сапфир.]]; else
           p[[Замок заклинило.]];q5 = q5 - 1; if q5 == 0 then goto('loc16');
                         p[[У меня не получилось открыть сундук.]];
                         else p[[Всё сначала.]]; q4 = 0;  end;
           end;
          end;
         end;
        end;
      end;
      end;
};
lock2 = obj{
      nam = 'отмычка1';
      dsc = 'или {вправо}.';
       act = function()
      if (q4 == 0) and (l1 == 2) then q4 = q4 + 1;p[[Замок щёлкнул.]]; else
        if (q4 == 1) and (l2 == 2) then q4 = q4 + 1;p[[Замок щёлкнул.]]; else
         if (q4 == 2) and (l3 == 2) then q4 = q4 + 1;p[[Замок щёлкнул.]]; else
          if (q4 == 3) and (l4 == 2) then q4 = q4 + 1;p[[Замок щёлкнул.]]; else
           if (q4 == 4) and (l5 == 2) then q4 = q4 + 1;
           inv():del('lockpick'); inv():add('sapfir'); q7 = 1; goto('loc16');
           p[[Замок открылся. Я достал из сундука сапфир.]]; else
           p[[Замок заклинило.]];q5 = q5 - 1; if q5 == 0 then goto('loc16');
                         p[[У меня не получилось открыть сундук.]]; 
                                 else p[[Всё сначала.]]; q4 = 0;  end;
           end;
          end;
         end;
        end;
      end;
      end;
};
loc17 = room {
    pic = 'data/20.jpg',
	nam = "Сундук";
	forcedsc = true;
	dsc = function()
	p('Взлом: ', q4*20,' % ^Попытки: ',q5);
	end;
	obj = {lock1,lock2},
	enter = function()
        q1 = 20; 
        l1 = rnd(2); l2 = rnd(2); l3 = rnd(2); l4 = rnd(2); l5 = rnd(2);
		set_music('data/9.ogg');
	end,
};
loc18 = room {
    pic = 'data/21.jpg',
	nam = 'Корабль "Фортуна"';
	obj = {vway("a1", "На палубе лежал {чёрный ящик}. ", 'blackbox'),
	vway("a1", "Я мог идти в {каюты} ", 'loc19'),
	vway("a1", "или отправиться в {казино}.", 'loc20'),
	},
	enter = function()
        q1 = 21; q2 = 5;
		set_music('data/10.ogg');
	end,
};
coin = obj{
       nam = 'игральная фишка';
       inv = 'Синяя фишка стоимостью 100 $.';
};
igrok = obj{
      nam = 'игрок';
      dsc = 'На полу возле одного из номеров сидел подвыпивший {игрок}.';
      act = [[- Дружище! Я потерял ключи от своего номера. Хоть ты и говорящий кот, 
      но, может, поможешь? Я в долгу не останусь, - промычал он.]];
      used = function(s,w)
      if w == key then inv():del('key'); inv():add('coin'); objs('loc19'):del('igrok');
      p[[Игрок бросил мне в награду игральную фишку и завалился спать в номер.]];end;
      end;
};
key = obj{
    nam = 'ключи от номера';
    inv = 'Обычные ключи. Наверное, кто-то потерял.';
};
nora = obj{
     nam = 'нора';
     dsc = [[В стене под столиком виднелась мышиная {нора}.]];
     act = function()
     if q8 == 4 then p[[Больше в норе ничего нет.]];end;
     if q8 == 3 then q8 = 4; p[[Я достал из норы ключи от номера.]]; inv():add('key');end;
     if q8 == 2 then q8 = 3; p[[Я достал из норы третью мышь. Объелся уже.]];end;
     if q8 == 1 then q8 = 2; p[[Я достал из норы вторую мышь. Хрум-хрум!]];end;
     if q8 == 0 then q8 = 1; p[[Я достал из норы первую мышь. Ням-ням!]];end;
     end;
};
loc19 = room {
    pic = 'data/22.jpg',
	nam = "Каюты";
	obj = {igrok,nora,
	vway("a1", "^Я мог вернуться на {палубу}.", 'loc18'),
	},
	enter = function()
        q1 = 22; 
		set_music('data/10.ogg');
	end,
};
bracelet = obj{
         nam = 'чётки';
         inv = '"Made in China", - было написано на чётках.';
};
ruletka = obj{
      nam = 'рулетка';
      dsc = [[В центре зала стояла {рулетка}. Возле неё столпилось много народа.]];
      act = [[Богачи ставили на кон огромные суммы и тут же всё проигрывали. 
       Неужели никто из них никогда не учил теорию вероятностей?]];
      used = function(s,w)
      if w == coin then inv():del('coin'); inv():add('bracelet');
      p[[Я поставил фишку на зеро и выиграл миллион долларов! Но мне сказали, 
      что котам выдают лишь утешительные призы и дали взамен китайские чётки. 
      Вот, блин...]];   end;
      end;
};
loc20 = room {
    pic = 'data/23.jpg',
	nam = "Казино";
	obj = {ruletka,
	vway("a1", "Я мог вернуться на {палубу}.", 'loc18'),
	},
	enter = function()
        q1 = 23; 
		set_music('data/10.ogg');
	end,
};
loc21 = room {
    pic = 'data/24.jpg',
	nam = 'Пагода';
	obj = {vway("a1", "На ступеньках лежал {чёрный ящик}. ", 'blackbox'),
	vway("a1", "^Я мог идти на {запад} ", 'loc22'),
	vway("a1", "или отправиться на {восток}.", 'loc23'),
	},
	enter = function()
        q1 = 24; q2 = 6;
		set_music('data/11.ogg');
	end,
};
arms = obj{
     nam = 'нунчаки';
     inv = 'Боевые нунчаки. Оружие котов-ниндзя.';
};
monk = obj{
     nam = 'монах';
     dsc = 'В тени сакуры медитировал {монах}.';
     act = function()
     if q9 == 0 then p[[- Равновесие сил нарушено, Котэ Мяузо. 
     Но скоро ты принесёшь мне великий артефакт, что восстановит баланс стихий. 
     Я буду ждать тебя здесь, в тени надежд.]];end;
     if q9 == 1 then p[[- Равновесие сил восстановлено, Котэ Мяузо. 
     Гармония поёт прекрасную песню. Иди же с ветром наравне!]];end;
     end;
     used = function(s,w)
     if w == bracelet then inv():del('bracelet'); inv():add('arms'); q9 = 1;
     p[[- О, ты нашёл их! Древние чётки мудрости! Теперь я вижу твоё будущее.
     Тебе предстоит поединок чести. Будь же достоин! Прими мои нунчаки!]];end;
     end;
};
loc22 = room {
    pic = 'data/26.jpg',
	nam = "Сад сакуры";
	obj = {monk,
	vway("a1", "^Я мог вернуться на {восток}.", 'loc21'),
	},
	enter = function()
        q1 = 25; 
		set_music('data/11.ogg');
	end,
};
loc23 = room {
    pic = 'data/25.jpg',
	nam = 'Дорога к храму';
	obj = {
	vway("a1", "^Я мог идти к {храму}", 'loc24'),
	vway("a1", "или вернуться на {запад}.", 'loc21'),
	},
	enter = function()
        q1 = 26; 
		set_music('data/11.ogg');
	end,
};
rubin = obj{
      nam = 'рубин';
      dsc = 'На алтаре сиял {рубин}.';
      tak = 'Я взял рубин.';
      inv = 'Красный рубин - символ будущего.';
};
loc24 = room {
    pic = 'data/27.jpg',
	nam = 'Храм Будды';
	obj = {rubin,
	vway("a1", "Будда был молчалив. Я мог {уйти} из храма.", 'loc23'),
	},
	enter = function()
        q1 = 27; 
		set_music('data/11.ogg');
		if q10 == 0 then goto('loc25'); end;
	end,
};
samurai = obj{
      nam = 'самурай';
      dsc = [[На дорогу вышел грозный {самурай}, вынимая на ходу катану.
      - Сразись со мной! Покажи, чего достоин! - закричал он.]];
      act = function()
      p[[Я убежал, сверкая лапами.]];goto('loc21');
      end;
      used = function(s,w)
      if w == arms then q4 = 10; goto('loc26'); end;
      end;
};
loc25 = room {
    pic = 'data/28.jpg',
	nam = 'Самурай';
	obj = {samurai},
	enter = function()
        q1 = 28; 
		set_music('data/5.ogg');
	end,
};

at1 = obj{
    nam = 'атака1';
    dsc = '{Сильный удар}';
    act = function()
    q4 = q4 - 2; p[[Я нанёс сильный удар.]];
      if q4 <1 then inv():del('arms'); q10 = 1;
      p[[Мой удар оказался последним. Самурай поклонился и отступил.]]; goto('loc23'); else
         if (q4 == 3) or (q4 == 6) or (q4 == 9) then 
         q5 = rnd(2); q4 = q4 - q5;
         if q5 == 1 then p[[Самурай нанёс быстрый удар.]];end;
         if q5 == 2 then p[[Самурай нанёс сильный удар.]];end;
         else
          if (q4 == 8) or (q4 == 5) then 
          p[[Самурай нанёс сильный удар.]]; q4 = q4 - 2; end;
          if (q4 == 7) or (q4 == 4) then 
          p[[Самурай нанёс быстрый удар.]]; q4 = q4 - 1; end;
          if q4 == 2 then p[[Самурай нанёс сильный удар.]]; goto('loc21');
          p[[Удар самурая оказался последним. Я отступил.]]; end;
          if q4 == 1 then p[[Самурай нанёс быстрый удар.]]; goto('loc21');
          p[[Удар самурая оказался последним. Я отступил.]]; end;
         end;
      end;
    end;
};
at2 = obj{
    nam = 'атака2';
    dsc = '^{Быстрый удар}';
    act = function()
    q4 = q4 - 1; p[[Я нанёс быстрый удар.]];
      if q4 <1 then inv():del('arms'); q10 = 1;
      p[[Мой удар оказался последним. Самурай поклонился и отступил.]]; goto('loc23'); else
         if (q4 == 3) or (q4 == 6) or (q4 == 9) then 
         q5 = rnd(2); q4 = q4 - q5;
         if q5 == 1 then p[[Самурай нанёс быстрый удар.]];end;
         if q5 == 2 then p[[Самурай нанёс сильный удар.]];end;
         else
          if (q4 == 8) or (q4 == 5) then 
          p[[Самурай нанёс сильный удар.]]; q4 = q4 - 2; end;
          if (q4 == 7) or (q4 == 4) then 
          p[[Самурай нанёс быстрый удар.]]; q4 = q4 - 1; end;
          if q4 == 2 then p[[Самурай нанёс сильный удар.]]; goto('loc21');
          p[[Удар самурая оказался последним. Я отступил.]]; end;
          if q4 == 1 then p[[Самурай нанёс быстрый удар.]]; goto('loc21');
          p[[Удар самурая оказался последним. Я отступил.]]; end;
         end;
      end;
    end;
};
loc26 = room {
    pic = 'data/29.jpg',
	nam = 'Поединок храбрости';
	forcedsc = true;
	dsc = function()
	p([[- Победит тот, кто нанесёт удар последним! - закричал самурай и угрожающе взмахнул катаной.
	^Времени осталось: ]],q4);
	end;
	obj = {at1,at2},
	enter = function()
        q1 = 29; 
		set_music('data/5.ogg');
	end,
};
portal = obj{
       nam = 'портал';
       dsc = 'Я стоял перед {порталом}.';
       act = function()
       if (s1 == 1) and (s2 == 2) and (s3 == 3) then goto('loc28');
       else p[[У меня не получилось открыть портал.]];end;
       end;
};
guard1 = obj{
       nam = 'бобёр';
       dsc = 'Возле портала стояли три статуи: {Бобёр}, ';
       act = function()
           if s1 == 0 then p[[Бобёр - страж прошлого. У статуи не хватает глаза.]];
           else
              if s1 == 1 then s1 = 0; inv():add('topaz'); 
              p[[Я вынул из статуи изумруд.]]end;
              if s1 == 2 then s1 = 0; inv():add('sapfir'); 
              p[[Я вынул из статуи сапфир.]]end;
              if s1 == 3 then s1 = 0; inv():add('rubin'); 
              p[[Я вынул из статуи рубин.]]end;   
           end;
       end;
       used = function(s,w)     
       if w == topaz then    
        if s1 == 0 then     
       s1 = 1; inv():del('topaz');
       p[[Я поместил в статую изумруд.]]; 
         else p[[В статуе уже есть камень.]]; end;    
       end;  
       if w == sapfir then 
        if s1 == 0 then     
       s1 = 2; inv():del('sapfir');
       p[[Я поместил в статую сапфир.]];
         else p[[В статуе уже есть камень.]];end;  
       end;    
       if w == rubin then 
         if s1 == 0 then   
       s1 = 3; inv():del('rubin');
       p[[Я поместил в статую рубин.]];
         else p[[В статуе уже есть камень.]];end;  
       end; 
       end;
};
guard2 = obj{
       nam = 'дятел';
       dsc = '{Дятел} и ';
       act = function()
           if s2 == 0 then p[[Дятел - страж настоящего. У статуи не хватает глаза.]];
           else
              if s2 == 1 then s2 = 0; inv():add('topaz'); 
              p[[Я вынул из статуи изумруд.]]end;
              if s2 == 2 then s2 = 0; inv():add('sapfir'); 
              p[[Я вынул из статуи сапфир.]]end;
              if s2 == 3 then s2 = 0; inv():add('rubin'); 
              p[[Я вынул из статуи рубин.]]end;   
           end;
       end;
       used = function(s,w)     
       if w == topaz then    
        if s2 == 0 then     
       s2 = 1; inv():del('topaz');
       p[[Я поместил в статую изумруд.]]; 
         else p[[В статуе уже есть камень.]]; end;    
       end;  
       if w == sapfir then 
        if s2 == 0 then     
       s2 = 2; inv():del('sapfir');
       p[[Я поместил в статую сапфир.]];
         else p[[В статуе уже есть камень.]];end;  
       end;    
       if w == rubin then 
         if s2 == 0 then   
       s2 = 3; inv():del('rubin');
       p[[Я поместил в статую рубин.]];
         else p[[В статуе уже есть камень.]];end;  
       end; 
       end;
};
guard3 = obj{
       nam = 'выхухоль';
       dsc = '{Выхухоль}.';
       act = function()
           if s3 == 0 then p[[Выхухоль - страж будущего. У статуи не хватает глаза.]];
           else
              if s3 == 1 then s3 = 0; inv():add('topaz'); 
              p[[Я вынул из статуи изумруд.]]end;
              if s3 == 2 then s3 = 0; inv():add('sapfir'); 
              p[[Я вынул из статуи сапфир.]]end;
              if s3 == 3 then s3 = 0; inv():add('rubin'); 
              p[[Я вынул из статуи рубин.]]end;   
           end;
       end;
        used = function(s,w)     
       if w == topaz then    
        if s3 == 0 then     
       s3 = 1; inv():del('topaz');
       p[[Я поместил в статую изумруд.]]; 
         else p[[В статуе уже есть камень.]]; end;    
       end;  
       if w == sapfir then 
        if s3 == 0 then     
       s3 = 2; inv():del('sapfir');
       p[[Я поместил в статую сапфир.]];
         else p[[В статуе уже есть камень.]];end;  
       end;    
       if w == rubin then 
         if s3 == 0 then   
       s3 = 3; inv():del('rubin');
       p[[Я поместил в статую рубин.]];
         else p[[В статуе уже есть камень.]];end;  
       end; 
       end;
};
loc27 = room {
    pic = 'data/30.jpg',
	nam = 'Портал';
	obj = {portal,guard1,guard2,guard3,
	vway("a1", "На камне лежал {чёрный ящик}. ", 'blackbox'),
	},
	enter = function()
        q1 = 30; q2 = 7;
		set_music('data/12.ogg');
	end,
};
loc28 = room{
      forcedsc = true;
      pic = 'data/31.jpg',
      nam = 'Любовная сцена';
      dsc = [[Портал открылся. Из него вышла Кэтти. Я подбежал к ней и крепко обнял.
      ^- Кэтти, ты вернулась! Мне без тебя было так одиноко! Теперь мы будем 
      участвовать во всех экспериментах вместе! Кэтти, я люблю тебя!
      ^- Мяу, Максвелл! Если бы знал, как я скучала по тебе! Но теперь у нас всё будет хорошо! 
      У нас впереди новые эксперименты и удивительные открытия! Но это всё потом. 
      А сейчас... дай-ка я тебя поглажу, мой мурзик... иди ко мне...
      ^- Кэтти, ты моя квантовая любовь! Навсегда!   ]];
  enter = function()
        q1 = 31;
		set_music('data/1.ogg');
 end,    
};
